\documentclass{phd}

\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{amsthm}
\usepackage{graphicx}
\usepackage{hyperref}
\usepackage{subcaption}
\usepackage{float}
\usepackage{tikz}
\usetikzlibrary{decorations.pathreplacing,positioning,calc,intersections,3d,shapes.geometric,math,external}
\tikzexternalize[prefix=tikz/]
\usepackage{colortbl}
\usepackage{algorithmicx,algpseudocode}

\newcommand{\dxdy}[2]{\frac{d #1}{d #2}}
\newcommand{\dxdyk}[3]{\frac{d^{#3} #1}{d {#2}^{#3}}}
\newcommand{\pdxdy}[2]{\frac{\partial #1}{\partial #2}}
\newcommand{\liminfty}[1]{\lim_{#1 \to \infty}}
\newcommand{\limab}[2]{\lim_{#1 \to #2}}

\newcommand{\abs}[1]{\left \vert #1 \right \vert}
\newcommand{\norm}[1]{\left \Vert #1 \right \Vert}
\newcommand{\order}[1]{\mathcal{O} \left ( #1 \right )}
\newcommand{\set}[1]{\left \{ #1 \right \}}
\newcommand{\Set}[2]{\left \{ #1 \ \middle \vert \ #2 \right \}}
\newcommand{\vmat}[1]{\begin{vmatrix} #1 \end{vmatrix}}
\DeclareMathOperator{\sign}{sign}

\newcommand{\bbn}{\mathbb{N}}
\newcommand{\bbz}{\mathbb{Z}}
\newcommand{\bbq}{\mathbb{Q}}
\newcommand{\bbr}{\mathbb{R}}
\newcommand{\bbc}{\mathbb{C}}
\newcommand{\bbf}{\mathbb{F}}

\newtheorem{conj}{Conjecture}

\definecolor{darkgreen}{rgb}{0,0.6,0.1}

\let\vec\mathbf

\title{Towards robustness in algorithms: \\ accelerated domain decomposition, multisecant equations, and simplicial intersections}
\author{Conor Joseph McCoid}
\Professor{Martin J. Gander}
\Place{British Columbia, Canada}
\NumThesis{XXXX}

\begin{document}

\frontmatter

\maketitle

% insert imprimatur here

\chapter{Summaries}

\section*{Fran\c{c}ais}

Le th\`ese peut diviser en trois parties:
les cycles des m\'ethodes de d\'ecomposition de domaines;
l'\'equivalence entre les m\'ethodes d'extrapolation et les m\'ethodes de sous-\'espace de Krylov, et;
l'intersection des simplexes.

Les m\'ethodes de d\'ecomposition de domaines subdivise un probl\`eme en tranches, et on r\'esoud chaque tranche individuellement avant la recombinaison.
La recherche dans ces m\'ethodes concerne comment on fait cette recombinaison.
Elle peut \^etre lente, alors on veut l'acc\'el\'erer, par exemple en utilisant la m\'ethode de Newton.

Il n'existe pas de crit\`eres pour la convergence d'une m\'ethode de d\'ecomposition de domaines acc\'el\'er\'ee par Newton.
Dans le deuxi\`eme chapitre de ce th\`ese je pr\'esente une PDE non-lin\'eaire pour quelle une telle m\'ethode ne converge pas.
Au lieu de convergence, cette m\'ethode cycle entre deux pointes.
Je manipule la PDE \`a trouver le doublement de la p\'eriode et les m\^emes r\'esultats en dimension plus haut.

Pour le troisi\`eme chapitre je consid\`ere trois types de m\'ethodes.
Principalement il s'agit des m\'ethodes d'extrapolation, mais aussi les m\'ethodes des sous-\'espace de Krylov et les \'equations multis\'ecantes.
Les derni\`eres sont l'extension de la m\'ethode s\'ecante en dimension g\'en\'erale.
En fait, il existe beaucoup des m\'ethodes qui g\'en\'eralise cette m\'ethode, mais toutes se rapprochent les m\^emes \'equations.
En commen\c{c}ant avec ces \'equations on peut construire les m\'ethodes d'extrapolation et apr\`es les m\'ethodes des sous-\'espace de Krylov.
Avec cette construction les trois types de m\'ethodes devient \'equivalent.

Le reste du th\`ese concerne un algorithme d'intersection des simplexes qui est robuste.
On consid\`ere premi\`erement l'algorithme pour les triangles, apr\`es pour les tetrahedra, et finalement pour les simplexes en dimension arbitraire.
L'algorithme utilise le principe de parcimonie, qui nous dit \`a faire le plus petit nombre des calculations n\'ecessaire \`a trouver le r\'esultat.
On enqu\^ete combien d'information chaque calcul nous informe et on ne rep\`ete pas de calculs qui nous donnent la m\^eme information.

Le plupart du dernier chapitre est sur l'impl\'ementation de l'algorithme.
Il faut se pr\'eoccuper de quelle intersections \`a calculer et comment on garde les calculs.
Je d\'eveloppe les t\'echniques \`a faire ces choses dans le contexte des simplexes.

\newpage
\section*{English}

This thesis can be divided into three parts:
cycles in domain decomposition methods;
the equivalence between extrapolation methods and Krylov subspace methods, and;
the intersection of simplices.

Domain decomposition methods subdivide a problem into subdomains, and resolves each subdomain individually before recombining them.
Research into these methods concerns how to do the recombination procedure.
It can be slow, and so we want to accelerate it, for example by using Newton's method.

There are no criteria for the convergence of a domain decomposition method accelerated by Newton's method.
In the second chapter of this thesis I present a nonlinear PDE for which such a method does not converge.
Instead, this method cycles between two points.
By manipulating this PDE I find the period doubling and the same results in higher dimensions.

In the third chapter I consider three types of methods.
Principally it concerns extrapolation methods, but also Krylov subspace methods and the multisecant equations.
This latter method is an extension of the secant method to higher dimensions.
In fact, there exist many methods that generalize this method, though most derive from these equations.
By starting with these equations one can construct the extrapolation methods and afterwards the Krylov subspace methods.
With this construction the three types of methods become equivalent.

The remainder of the thesis concerns an intersection algorithm for simplices which is robust.
We consider first the algorithm for triangles, then tetrahedra, and finally simplices in arbitrary dimension.
The algorithm uses the principle of parsimony, which tells us to do the smallest number of calculations necessary to find the result.
We ask how much information each calculation tells us and we do not repeat calculations that tell us the same information.

Most of the last chapter is on the implementation of the algorithm.
One must consider which intersections to calculate and how to store the calculations.
I develop techniques to do these things in the context of simplices.

\chapter{Acknowledgements}

First and foremost, I must thank my supervisor, Martin J. Gander.
I have been immensely lucky to have had his guidance and support during my PhD.
I cannot imagine completing this work with anyone else.

I would next like to thank my coworkers at the Section of Mathematics.
They were always available when help was needed.
In particular, I'd like to thank my officemates Pablo Lucero and Michal Outrata.

Finally, I wish to thank the friends I have made while living in the city of Geneva.
Of all the things I leave behind I will miss them the most.

This work was funded by the Swiss National Science Fund.

\tableofcontents

\mainmatter

\include{CHAP_Intro}

\include{CHAP_ASPN}
% continuity of nonlinear part of equation

\include{CHAP_Multisecant}

\include{CHAP_Triangles}

\include{CHAP_Tetrahedra}
% numerical proof of robustness?

\include{CHAP_Simplices}
% use p's and q's to make notation consistent with previous sections?

% flowchart of algorithm's other complicated/important steps
% intersection calculation

% example problems
% numerical proof???

\backmatter

\chapter{Final remarks and future works}

The chaotic and cyclic ASPN sequences shows how problematic some nonlinearities can be when employing acceleration techniques, or equivalently when preconditioning certain methods with domain decomposition methods.
Similar examples likely exist for other methods of this type, such as ASPIN, RASPEN and MSPIN.
One can investigate if such counterexamples differ much between these types, and if so what this says about each type and their stability.

Ideally, I would like to determine what conditions can be placed on the nonlinearities to ensure convergence.
From this research it is clear the shape of the fixed point iteration must have particular slope at all points.
For example, a domain decomposition method that converges faster would have a fixed point iteration with a slope closer to zero, and thus farther from that of the dangerous contour lines.
Brief changes in the slope could still create cycles after acceleration, but these may have significantly smaller basins of attraction.
However, accelerating methods that already converge quickly would not be as useful.

There exist many extrapolation and Krylov subspace methods not mentioned in chapter \ref{ch:multisecant}.
Connecting these into the framework may give new methods of the other type.
While such an extrapolation method may not be popular, its corresponding Krylov method may prove useful.

Now that the connection between extrapolation methods and Krylov subspace methods has been made explicit, the goal is to apply extrapolation methods to methods such as ASPN.
That is, the extrapolation methods will be used to resolve the Newton-Raphson acceleration steps of the algorithm.
Whether this adds stability remains to be seen, though as before it is unlikely to guarantee convergence.

The robust simplicial intersection algorithm in chapters \ref{ch:triangles}, \ref{ch:tetrahedra} and \ref{ch:simplices} can be improved upon in a number of practical ways, from finding the ideal method for calculating intersections to improving storage of the information.
Also of interest is applying this algorithm to intersections of mixed dimension.
While it is not possible to robustly intersect two simplices of different dimensions, one can intersect a single simplex of lower dimension with a mesh of simplices of a larger dimension.

In the discussion of the combinatorial number system and adjacent index sets, it is noted that it would be ideal to have a formula for $N(J \cup K)$ based on $N(J)$ and $N(K)$, bypassing the need for recalculating the former at each step of the algorithm.
Based on preliminary work it appears this formula follows similar patterns to the adjacency matrix.
Having this formula would make the adjacency matrix and the combinatorial number system exceedingly useful for algorithms that must consider several combinations of objects simultaneously.

In the course of visualizing the simplicial intersections I was led to wonder if it might be possible to categorize and enumerate the different faces of these intersections.
Certainly, we showed that the first order intersections, between a simplex and a hyperplane, are necessarily duoprisms.
It remains open whether all orders of these intersections can be likewise easily identified, and if their flags can then uniquely identify the simplicial intersection as a whole.
This last question has proven difficult even for the intersection of tetrahedra, but the first may still yield interesting results.

\bibliographystyle{plain}
\bibliography{references,export_extrap}

\end{document}